@echo off
title Bitte warten ...
color 78

echo Optimiere Firefox Einstellungen:
echo -- -- -- -- -- -- -- -- -- -- --
echo.

copy user.js %temp%

REM In den Order für die Userprofile wechseln:
cd %userprofile%\AppData\Roaming\Mozilla\Firefox\Profiles

REM In diesem Ordner befinden sich die einzelnen Profilordner für Firefox die für jeden User individuell sind.

REM Die Suche funktioniert nur mit Joker richtig. 'prefs.js' geht nicht. Daher hier '?refs.js'.
REM Entsprechende prefs.js Dateien im Userprofil Unterordner suchen. Es kann hier meherere Varianten geben.
REM Diese Ordner werden hier dann einfach alle überprüft und abgearbeitet. Das ist kein Problem.

REM Hinweis: %%F enthält den Pfad zur jeweils aktuellen prefs.js Datei.
for /R . %%F in (?refs.js) do (
copy %temp%\user.js "%%~dF%%~pFuser.js"
)

REM Parametererklärung:
REM [/R .] = (rekursiv) auch die Unterverzeichnisse ab dem angegebenen Pfad (der . ist das aktuelles Verzeichnis) durchsuchen.
REM [%%F] = deklariert ist hier die Variable 'F' in der for Schleife. Variablen Namen dürfen nur einen Buchstaben haben (a-Z).
REM Es empfiehlt es sich diese groß zu schreiben, um sie von den restlichen Formatierungen besser trennen zu können.
REM [%%~dF] = (drive) ist der Laufwerksbuchstabe.
REM [%%~pF] = (path) ist der Pfad zur Datei.

del %temp%\user.js

timeout /t 13